[ 
https://issues.apache.org/jira/browse/RYA-471?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Jeff Dasch updated RYA-471:
---------------------------
    Summary: Ensure that Rya can be built with Java 9  (was: Ensure that Rya 
can be built on Java 9.)

> Ensure that Rya can be built with Java 9
> ----------------------------------------
>
>                 Key: RYA-471
>                 URL: https://issues.apache.org/jira/browse/RYA-471
>             Project: Rya
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 3.2.12
>            Reporter: Jeff Dasch
>            Priority: Minor
>
> There have been some issues reported building Rya on Windows on Java 9.  I 
> did a quick check trying to build Rya 3.2.12 on MacOS.  I didn't have the 
> same failures as reported on Windows, but I did have some problems with some 
> tests.
>  * Ensure that Rya can be built on Windows, Mac and Linux with the latest 
> JDK9.
>  * See if there are any runtime issues with running
>  * Keep the maven-compiler-plugin's source and target versions set to 1.8 so 
> we still work with both versions of the JDK.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to